Package com.smartgwt.client.widgets.form

# Class FormItemEventInfo

java.lang.Object
com.smartgwt.client.core.JsObject
com.smartgwt.client.core.DataClass
com.smartgwt.client.widgets.form.FormItemEventInfo

All Implemented Interfaces:
  `HasHandlers`

public class FormItemEventInfo extends DataClass
A class containing details for mouse events occurring over a FormItem.

See Also:
  - `DynamicForm.getEventItemInfo(String)`

- ## Field Summary

  ### Fields inherited from class com.smartgwt.client.core.DataClass

  `factoryCreated, factoryProperties`

  ### Fields inherited from class com.smartgwt.client.core.JsObject

  `jsObj`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `FormItemEventInfo(JavaScriptObject jsObj)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getIcon()`
  If this event occurred over a formItemIcon this attribute contains the `name` of the icon.
  `FormItem`
  `getItem()`
  Item over which the event occurred.
  `Boolean`
  `isOverItem()`
  True if the event occurred over the main body of the item (for example the text-box), rather than over the title or within the form item's cell in the DynamicForm but outside the text box area.
  `Boolean`
  `isOverTitle()`
  True if the event occurred over the items title.

  ### Methods inherited from class com.smartgwt.client.core.DataClass

  `applyFactoryProperties, doAddHandler, fireEvent, getAttribute, getAttributeAsBoolean, getAttributeAsBoolean, getAttributeAsDate, getAttributeAsDouble, getAttributeAsDoubleArray, getAttributeAsElement, getAttributeAsFloat, getAttributeAsInt, getAttributeAsIntArray, getAttributeAsJavaScriptObject, getAttributeAsLong, getAttributeAsMap, getAttributeAsObject, getAttributeAsRecord, getAttributeAsString, getAttributeAsStringArray, getAttributes, getHandlerCount, isFactoryCreated, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttributeAsJavaObject, setFactoryCreated`

  ### Methods inherited from class com.smartgwt.client.core.JsObject

  `equals, getJsObj, hashCode, isCreated, setJavaScriptObject, setJsObj`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### FormItemEventInfo

    public FormItemEventInfo(JavaScriptObject jsObj)

- ## Method Details

  - ### getItem

    public FormItem getItem()
    Item over which the event occurred.
    Returns:
      item over which the event occurred.

  - ### isOverItem

    public Boolean isOverItem()
    True if the event occurred over the main body of the item (for example the text-box), rather than over the title or within the form item's cell in the DynamicForm but outside the text box area.
    Returns:
      true if the event occurred over the main body of the item

  - ### isOverTitle

    public Boolean isOverTitle()
    True if the event occurred over the items title.
    Returns:
      true if the event occurred over the items title.

  - ### getIcon

    public String getIcon()
    If this event occurred over a formItemIcon this attribute contains the `name` of the icon.
    Returns:
      the form item icon name